LAMCHECKPOINT(1)

NAME
lamcheckpoint - Checkpoint a LAM/MPI job.

SYNOPSIS
lamcheckpoint -ssi cr self|blcr -pid pidofmpirun

OPTIONS

-h  Print the command help menu.

DESCRIPTION
The lamcheckpoint tool checkpoints the LAM software on each of the nodes that were initially booted with lamboot and/or lamgrow. lamcheckpoint calls the checkpoint function specific to the specified SSI module.

The arguments to lamcheckpoint should contain the SSI parameter indicating the name of the Checkpoint module At present, there are only two Checkpoint modules namely, 'self' and 'blcr'. Regardless of the Checkpoint module selected, the pid of mpirun should be given as an argument to lamcheckpoint.

EXAMPLES

lamcheckpoint -ssi cr self -pid 1024

lamcheckpoint -ssi cr blcr -pid 1024 -ssi cr_blcr_base_dir /path/to/context/file/dir

SEE ALSO
lamrestart(1), recon(1), lamboot(1), tkill(1), bhost(5), lam-helpfile(5), lamwipe(1)